FailedConsole Output

Started by user unknown or anonymous
Running as SYSTEM
[EnvInject] - Loading node environment variables.
Building remotely on sos-builder01 (lin) in workspace /builds/workspace/push-comment-github
[WS-CLEANUP] Deleting project workspace...
[WS-CLEANUP] Deferred wipeout is used...
[WS-CLEANUP] Done
Copying file to revapi_report.md
[push-comment-github] $ /bin/sh -xe /tmp/jenkins8287356917807146252.sh
+ python3 --version
Python 3.5.2
+ pip3 install pygithub
Collecting pygithub
  Using cached https://files.pythonhosted.org/packages/cf/f4/0dbe960b829266eb01034b6d82cb423b3e88291d35d901bc8504f2e7a4b9/PyGithub-1.46-py3-none-any.whl
Collecting deprecated (from pygithub)
  Using cached https://files.pythonhosted.org/packages/f6/89/62912e01f3cede11edcc0abf81298e3439d9c06c8dce644369380ed13f6d/Deprecated-1.2.7-py2.py3-none-any.whl
Collecting requests>=2.14.0 (from pygithub)
  Using cached https://files.pythonhosted.org/packages/1a/70/1935c770cb3be6e3a8b78ced23d7e0f3b187f5cbfab4749523ed65d7c9b1/requests-2.23.0-py2.py3-none-any.whl
Collecting pyjwt (from pygithub)
  Using cached https://files.pythonhosted.org/packages/87/8b/6a9f14b5f781697e51259d81657e6048fd31a113229cf346880bb7545565/PyJWT-1.7.1-py2.py3-none-any.whl
Collecting wrapt<2,>=1.10 (from deprecated->pygithub)
Collecting chardet<4,>=3.0.2 (from requests>=2.14.0->pygithub)
  Using cached https://files.pythonhosted.org/packages/bc/a9/01ffebfb562e4274b6487b4bb1ddec7ca55ec7510b22e4c51f14098443b8/chardet-3.0.4-py2.py3-none-any.whl
Collecting urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 (from requests>=2.14.0->pygithub)
  Using cached https://files.pythonhosted.org/packages/e8/74/6e4f91745020f967d09332bb2b8b9b10090957334692eb88ea4afe91b77f/urllib3-1.25.8-py2.py3-none-any.whl
Collecting certifi>=2017.4.17 (from requests>=2.14.0->pygithub)
  Using cached https://files.pythonhosted.org/packages/b9/63/df50cac98ea0d5b006c55a399c3bf1db9da7b5a24de7890bc9cfd5dd9e99/certifi-2019.11.28-py2.py3-none-any.whl
Collecting idna<3,>=2.5 (from requests>=2.14.0->pygithub)
  Using cached https://files.pythonhosted.org/packages/89/e3/afebe61c546d18fb1709a61bee788254b40e736cff7271c7de5de2dc4128/idna-2.9-py2.py3-none-any.whl
Installing collected packages: wrapt, deprecated, chardet, urllib3, certifi, idna, requests, pyjwt, pygithub
Successfully installed certifi-2019.9.11 chardet-3.0.4 deprecated-1.2.6 idna-2.8 pygithub-1.44.1 pyjwt-1.7.1 requests-2.23.0 urllib3-1.25.7 wrapt-1.11.2
You are using pip version 8.1.1, however version 20.0.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
[push-comment-github] $ python /tmp/jenkins4085305255768109378.py
3259
API changes: 7 (Detected by [Revapi](https://github.com/revapi/revapi/))

Old API: fr.inria.gforge.spoon:spoon-core:jar:8.1.0-20200220.234143-146 / New API: fr.inria.gforge.spoon:spoon-core:jar:8.1.0-SNAPSHOT

|     | Method was added to an interface. |
| :---: | :---: |
| Old | none |
| New | method CtBreak#getExpression() |
| Breaking | binary: non_breaking,  |

|     | Method was added to an interface. |
| :---: | :---: |
| Old | none |
| New | method CtBreak#setExpression(CtExpression) |
| Breaking | binary: non_breaking,  |

|     | Method was added to an interface. |
| :---: | :---: |
| Old | none |
| New | method CtCase#addCaseExpression(CtExpression) |
| Breaking | binary: non_breaking,  |

|     | Method was added to an interface. |
| :---: | :---: |
| Old | none |
| New | method CtCase#getCaseExpressions() |
| Breaking | binary: non_breaking,  |

|     | Method was added to an interface. |
| :---: | :---: |
| Old | none |
| New | method CtCase#getCaseKind() |
| Breaking | binary: non_breaking,  |

|     | Method was added to an interface. |
| :---: | :---: |
| Old | none |
| New | method CtCase#setCaseExpressions(List) |
| Breaking | binary: non_breaking,  |

|     | Method was added to an interface. |
| :---: | :---: |
| Old | none |
| New | method CtCase#setCaseKind(CaseKind) |
| Breaking | binary: non_breaking,  |

Traceback (most recent call last):
  File "/tmp/jenkins4085305255768109378.py", line 23, in <module>
    gh = Github(login,token)
NameError: name 'Github' is not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/jenkins4085305255768109378.py", line 35, in <module>
    except GithubException as e:
NameError: name 'GithubException' is not defined
Build step 'Execute Python script' marked build as failure
Finished: FAILURE